Summary:	Interactive text-mode process viewer for Linux
Name:		htop
Version:	0.6.2
Release: 	%mkrel 3
Source0:	http://prdownloads.sourceforge.net/htop/%{name}-%{version}.tar.bz2
License:	GPL
Group:		Monitoring
Url:		http://htop.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: ncurses-devel
BuildRequires: desktop-file-utils

%description
htop is an interactive process viewer for Linux, similar to top.
It requires ncurses. Tested with Linux 2.4 and 2.6.
Some advantages over top :
* you can scroll the list vertically and horizontally to see
all processes and complete command lines
* htop starts faster than top
* you don't need to type the process number to kill a process
* you don't need to type the process number or the priority value to
renice a process
* htop supports mouse operation

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p %buildroot/%_menudir

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="terminal" \
        section="System/Monitoring" \
        title="%{name}" \
        longtitle="%{summary}" \
        command="%{_bindir}/%{name}" \
        icon="%{name}.png" \
        xdg="true"
EOF

desktop-file-install --vendor="" \
  --add-category="System" \
  --add-category="Monitor" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_menudir}/%name
%{_mandir}/man1/%{name}.*



%changelog
* Mon Nov 13 2006 Thomas Backlund <tmb@mandriva.org> 0.6.2-3mdv2007.0
+ Revision: 83911
- fix desktop file generation
- rebuild because of breakage due to ncurses rollback

  + Andreas Hasenack <andreas@mandriva.com>
    - created updates tree for MDV 2007
    - tagged MDV 2007

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import htop-0.6.2-1mdk


* Tue May 23 2006 Lenny Cartier <lenny@mandriva.com> 0.6.2-1mdk
- 0.6.2

* Tue May 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdk
- Fix BuildRequires

* Sun May 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.6.1-1mdk
- New release 0.6.1
- added menu entry
- xdg compliant

* Thu Dec 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-1mdk
- New release 0.6

* Thu Dec 01 2005 Stew Benedict <sbenedict@mandriva.com> 0.5.3-4mdk
- rebuild/bump - corrupted display on x86_64

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-3mdk
- Fix BuildRequires

* Tue Oct 04 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5.3-2mdk
- %mkrel to allow easy backport
- add %doc

* Tue Oct 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3-1mdk
- 0.5.3

* Tue May 17 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Mon Apr 11 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Sat Jan 15 2005 Olivier Blin <blino@mandrake.org> 0.5-1mdk
- initial release

